Flow breaking [[Special:Notifications]]
Closed, ResolvedPublic

Assigned To
None
Priority
Needs Triage
Author
Legoktm
Subscribers
greg, Legoktm, EBernhardson and 3 others
Projects
Reference
bz60906
Description

See url, also screenshot provided by a user: http://i.imgur.com/2Vsq8V8.png.

Not sure what caused it, but it shouldn't break Echo because the notification can't be formatted.


Version: unspecified
Severity: critical
URL: https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Flow&oldid=594065615#Flow_.2B_Echo_.3D_Error.3F

bzimport added a project: Flow.Via ConduitNov 22 2014, 2:58 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz60906.
Legoktm created this task.Via LegacyFeb 5 2014, 4:54 PM
Legoktm added a comment.Via ConduitFeb 5 2014, 4:59 PM

\Flow\NotificationFormatter::getLinkParams calls \Flow\UrlGenerator::generateUrlData which is throwing InvalidInputException's.

Legoktm added a comment.Via ConduitFeb 5 2014, 5:13 PM

Created attachment 14496
Patch

Hack-ish patch, but fixes the bug. Someone who knows this part of the code better could probably come up with a better fix.

Attached: patch.diff

gerritbot added a comment.Via ConduitFeb 5 2014, 6:26 PM

Change 111484 had a related patch set uploaded by EBernhardson:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111484

Spage added a comment.Via ConduitFeb 5 2014, 8:39 PM

Also https://gerrit.wikimedia.org/r/#/c/111495/ Echo change to prevent insertion of too much stuff.

gerritbot added a comment.Via ConduitFeb 5 2014, 10:55 PM

Change 111625 had a related patch set uploaded by EBernhardson:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111625

gerritbot added a comment.Via ConduitFeb 5 2014, 11:05 PM

Change 111625 merged by jenkins-bot:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111625

gerritbot added a comment.Via ConduitFeb 5 2014, 11:05 PM

Change 111614 had a related patch set uploaded by Matthias Mullie:
(bug 60906) Truncate content before storing event into DB

https://gerrit.wikimedia.org/r/111614

gerritbot added a comment.Via ConduitFeb 5 2014, 11:26 PM

Change 111484 merged by jenkins-bot:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111484

gerritbot added a comment.Via ConduitFeb 5 2014, 11:33 PM

Change 111649 had a related patch set uploaded by Matthias Mullie:
(bug 60906) Truncate content before storing event into DB

https://gerrit.wikimedia.org/r/111649

gerritbot added a comment.Via ConduitFeb 5 2014, 11:34 PM

Change 111614 abandoned by Matthias Mullie:
(bug 60906) Truncate content before storing event into DB

Reason:
Pushed anew, against master

https://gerrit.wikimedia.org/r/111614

gerritbot added a comment.Via ConduitFeb 6 2014, 12:01 AM

Change 111654 had a related patch set uploaded by EBernhardson:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111654

gerritbot added a comment.Via ConduitFeb 6 2014, 12:01 AM

Change 111656 had a related patch set uploaded by EBernhardson:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111656

gerritbot added a comment.Via ConduitFeb 6 2014, 12:01 AM

Change 111654 merged by jenkins-bot:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111654

gerritbot added a comment.Via ConduitFeb 6 2014, 12:01 AM

Change 111656 merged by jenkins-bot:
Catch exceptions formatting notifications

https://gerrit.wikimedia.org/r/111656

gerritbot added a comment.Via ConduitFeb 6 2014, 12:07 AM

Change 111658 had a related patch set uploaded by EBernhardson:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111658

gerritbot added a comment.Via ConduitFeb 6 2014, 12:08 AM

Change 111658 merged by jenkins-bot:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111658

gerritbot added a comment.Via ConduitFeb 6 2014, 12:09 AM

Change 111659 had a related patch set uploaded by EBernhardson:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111659

gerritbot added a comment.Via ConduitFeb 6 2014, 12:09 AM

Change 111659 merged by jenkins-bot:
Prevent fatal errors in urlgenerator

https://gerrit.wikimedia.org/r/111659

EBernhardson added a comment.Via ConduitFeb 6 2014, 12:48 AM

deployed to 1.23wmf11 and 1.23wmf12. There is still a minor inconsistency, notifications that fail rendering will stay 'unread'

gerritbot added a comment.Via ConduitFeb 6 2014, 2:30 AM

Change 111706 had a related patch set uploaded by Legoktm:
Don't throw exceptions in the Echo formatter

https://gerrit.wikimedia.org/r/111706

gerritbot added a comment.Via ConduitFeb 6 2014, 2:31 AM

Change 111706 abandoned by Legoktm:
Don't throw exceptions in the Echo formatter

Reason:
I didn't mean to commit this...

https://gerrit.wikimedia.org/r/111706

Legoktm added a comment.Via ConduitFeb 6 2014, 2:31 AM

Sorry, my mistake.

gerritbot added a comment.Via ConduitFeb 6 2014, 6:28 PM

Change 111649 merged by jenkins-bot:
(bug 60906) Truncate content before storing event into DB

https://gerrit.wikimedia.org/r/111649

gerritbot added a comment.Via ConduitFeb 11 2014, 6:33 PM

Change 112730 had a related patch set uploaded by EBernhardson:
(bug 60906) Truncate content before storing event into DB

https://gerrit.wikimedia.org/r/112730

gerritbot added a comment.Via ConduitFeb 11 2014, 6:36 PM

Change 112730 merged by jenkins-bot:
(bug 60906) Truncate content before storing event into DB

https://gerrit.wikimedia.org/r/112730

Quiddity removed a subscriber: Maryana.Via WebDec 19 2014, 1:36 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.